using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ZXDT.DBUtility;

namespace ZXDT.CallCenter.DAL
{
    /// <summary>
    /// T_Sys_MobileData:实体类(属性说明自动提取数据库字段的描述信息)
    /// </summary>
    public partial class T_Mac
    {
        public T_Mac()
        { }

        /// <summary>
        /// 获取
        /// </summary>
        public int GetNum(string mac)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select top 1 num FROM T_Mac ");
            if (mac.Trim() != "")
            {
                strSql.AppendFormat(" where mac='{0}' OR REPLACE(mac,':','')='{0}'", mac.ToLower());
            }
            object obj = DbHelperSQL.GetSingle(strSql.ToString());
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return obj.ToInt32();
            }
        }

    }
}
